Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mars.mips.dump
Class DumpFormatLoader

    java.lang.Object
      mars.mips.dump.DumpFormatLoader

    public class DumpFormatLoader

extends Object

Constructor Summary
`DumpFormatLoader()`

Method Summary
`static DumpFormat` | `findDumpFormatGivenCommandDescriptor(ArrayList formatList, String formatCommandDescriptor)`
`ArrayList` | `loadDumpFormats()` Dynamically loads dump formats into an ArrayList.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DumpFormatLoader

    public DumpFormatLoader()

Method Detail

### loadDumpFormats

    public ArrayList loadDumpFormats()

  Dynamically loads dump formats into an ArrayList. This method is adapted from the loadGameControllers() method in Bret Barker's GameServer class. Barker (bret@hypefiend.com) is co-author of the book "Developing Games in Java". Also see the ToolLoader and SyscallLoader classes elsewhere in MARS.

### findDumpFormatGivenCommandDescriptor

    public static DumpFormat findDumpFormatGivenCommandDescriptor(ArrayList formatList,
                                                                  String formatCommandDescriptor)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD